Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a problem with libwebkitgtk-3.0 The problem is that software-center crashes on startup. The problem is that libwebkitgtk cannot find libGL. When I run

    ldd /usr/lib/libwebkitgtk-3.0.so |grep not

and the result was

    libGL.so.1 => not found

now libGL exists. I ran locate libGL.so.1 and I got the following

    /usr/lib/i386-linux-gnu/libGL.so.1
    /usr/lib/i386-linux-gnu/libGL.so.1.2
    /usr/local/MATLAB/MATLAB_Production_Server/R2013a/sys/opengl/lib/glnxa64/libGL.so.1
    /usr/local/MATLAB/MATLAB_Production_Server/R2013a/sys/opengl/lib/glnxa64/libGL.so.1.5.070200

I tried making a symbolic link of libGL.so.1 in /usr/lib/x86_64-linux-gnu but still no luck. I even tried a link in /usr/lib but still libwebkitgtk cannot find it! I tried reinstalling webkit but that didn't fix it either. What should I do to make sure libwebkitgtk can find libGL?

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.